## dsdcc 1.8.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(dsdcc)

set(MAJOR_VERSION 1)
set(MINOR_VERSION 8)
set(PATCH_VERSION 5)
set(PACKAGE libdsdcc)
set(VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
set(VERSION ${VERSION_STRING})

option(BUILD_TOOL "Build dsdccx tool" ON)

# use c++11
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

# use, i.e. don't skip the full RPATH for the build tree
set(CMAKE_SKIP_BUILD_RPATH  FALSE)

# when building, don't use the install RPATH already
# (but later on when installing)
set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)

SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")

# add the automatically determined parts of the RPATH
# which point to directories outside the build tree to the install RPATH
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

# Compiler flags.
if(MSVC)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall ${EXTRA_FLAGS}")
else()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -fmax-errors=10 -O2 -ffast-math -ftree-vectorize ${EXTRA_FLAGS}")
endif()

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)

include(GNUInstallDirs)
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}") # "lib" or "lib64"

if (BUILD_TYPE MATCHES RELEASE)
    set(CMAKE_BUILD_TYPE "Release")
elseif (BUILD_TYPE MATCHES RELEASEWITHDBGINFO)
    set(CMAKE_BUILD_TYPE "ReleaseWithDebugInfo")
elseif (BUILD_TYPE MATCHES DEBUG)
    set(CMAKE_BUILD_TYPE "Debug")
elseif (BUILD_TYPE MATCHES DEBIAN)
    set(CMAKE_BUILD_TYPE "Release")
    set(BUILD_DEBIAN TRUE)
else()
    set(CMAKE_BUILD_TYPE "Release")
endif()

find_package(LibMbe)
find_package(SerialDV)

if (USE_MBELIB AND LIBMBE_FOUND)
    add_definitions(-DDSD_USE_MBELIB)
endif()

if (LIBSERIALDV_FOUND)
    add_definitions(-DDSD_USE_SERIALDV)
endif()

set(dsdcc_SOURCES
    descramble.cpp
    dmr.cpp
    dsd_decoder.cpp
    dsd_filters.cpp
    dsd_logger.cpp
    dsd_mbe.cpp
    dsd_opts.cpp
    dsd_state.cpp
    dsd_symbol.cpp
    dstar.cpp
    ysf.cpp
    dpmr.cpp
    nxdn.cpp
    nxdnconvolution.cpp
    nxdncrc.cpp
    nxdnmessage.cpp
    p25p1_heuristics.cpp
    dsd_upsample.cpp
    fec.cpp
    viterbi.cpp
    viterbi3.cpp
    viterbi5.cpp
    crc.cpp
    pn.cpp
    mbefec.cpp
    locator.cpp
    phaselock.cpp
    timeutil.cpp
)

set(dsdcc_HEADERS
    descramble.h
    dmr.h
    dsd_decoder.h
    dsd_filters.h
    dsd_logger.h
    dsd_mbe.h
    dsd_opts.h
    dsd_state.h
    dsd_symbol.h
    dstar.h
    ysf.h
    dpmr.h
    nxdn.h
    nxdnconvolution.h
    nxdncrc.h
    nxdnmessage.h
    p25p1_heuristics.h
    dsd_upsample.h
    runningmaxmin.h
    doublebuffer.h
    fec.h
    viterbi.h
    viterbi3.h
    viterbi5.h
    crc.h
    pn.h
    mbefec.h
    locator.h
    phaselock.h
    iirfilter.h
    timeutil.h
    export.h
)

if (USE_MBELIB AND LIBMBE_FOUND)
    set(dsdcc_HEADERS
        ${dsdcc_HEADERS}
        dsd_mbelib.h
    )
endif()

include_directories(
    ${PROJECT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

if (USE_MBELIB AND LIBMBE_FOUND)
    include_directories(
        ${LIBMBE_INCLUDE_DIR}
    )
endif()

if (LIBSERIALDV_FOUND)
    include_directories(
        ${LIBSERIALDV_INCLUDE_DIR}
    )
endif()

add_library(dsdcc SHARED
    ${dsdcc_SOURCES}
)

if (USE_MBELIB AND LIBMBE_FOUND)
    target_link_libraries(dsdcc ${LIBMBE_LIBRARY})
endif()

if (LIBSERIALDV_FOUND)
    target_link_libraries(dsdcc ${LIBSERIALDV_LIBRARY})
endif()

if (BUILD_DEBIAN)
    add_subdirectory(mbelib)
    add_subdirectory(serialdv)
    add_definitions(-DDSD_USE_SERIALDV)
    include_directories(${LIBSERIALDVSRC})
    target_link_libraries(dsdcc serialdv)
    add_definitions(-DDSD_USE_MBELIB)
    include_directories(${LIBMBELIBSRC})
    target_link_libraries(dsdcc mbelib)
endif()

if(BUILD_TOOL)
add_executable(dsdccx
    dsd_main.cpp
)

set_target_properties(dsdccx PROPERTIES VERSION ${VERSION} SOVERSION ${MAJOR_VERSION})

target_include_directories(dsdccx PUBLIC
    ${PROJECT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

target_link_libraries(dsdccx dsdcc)
endif(BUILD_TOOL)

########################################################################
# Create Pkg Config File
########################################################################

# use space-separation format for the pc file
STRING(REPLACE ";" " " DSDCC_PC_REQUIRES "${DSDCC_PC_REQUIRES}")
STRING(REPLACE ";" " " DSDCC_PC_CFLAGS "${DSDCC_PC_CFLAGS}")
STRING(REPLACE ";" " " DSDCC_PC_LIBS "${DSDCC_PC_LIBS}")

# unset these vars to avoid hard-coded paths to cross environment
IF(CMAKE_CROSSCOMPILING)
    UNSET(DSDCC_PC_CFLAGS)
    UNSET(DSDCC_PC_LIBS)
ENDIF(CMAKE_CROSSCOMPILING)

CONFIGURE_FILE(
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/libdsdcc.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake/libdsdcc.pc
@ONLY)

INSTALL(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/cmake/libdsdcc.pc
    DESTINATION ${LIB_INSTALL_DIR}/pkgconfig
)

# Installation
if(BUILD_TOOL)
    install(TARGETS dsdccx DESTINATION bin)
endif(BUILD_TOOL)
install(TARGETS dsdcc DESTINATION lib${LIB_SUFFIX})
install(FILES ${dsdcc_HEADERS} DESTINATION include/${PROJECT_NAME})

=== debian/changelog ===
dsdcc (1.8.6-1) unstable; urgency=medium

  * First Debian upload.

 -- Christoph Berg <myon@debian.org>  Wed, 19 Feb 2020 21:43:24 +0100

dsdcc (1.8.4-1) unstable; urgency=medium

  * NXDN: take RTCH-C frames into consideration
  * MSVC compatibility

 -- Edouard Griffiths, F4EXB <f4exb06@gmail.com>  Sat, 01 Dec 2018 20:15:15 +0100

dsdcc (1.8.3-1) unstable; urgency=medium

  * NXDN: support full rate (EFR)

 -- Edouard Griffiths, F4EXB <f4exb06@gmail.com>  Thu, 28 Jun 2018 14:15:15 +0200

dsdcc (1.8.2-1) unstable; urgency=medium

  * Fixed compilation errors

 -- Edouard Griffiths, F4EXB <f4exb06@gmail.com>  Sun, 24 Jun 2018 18:15:15 +0200

dsdcc (1.8.1-1) unstable; urgency=medium

  * High pass filter enhancement

 -- Edouard Griffiths, F4EXB <f4exb06@gmail.com>  Sun, 24 Jun 2018 17:15:15 +0200

dsdcc (1.8.0-1) unstable; urgency=medium

  * NXDN implementation

 -- Edouard Griffiths, F4EXB <f4exb06@gmail.com>  Sun, 24 Jun 2018 16:15:15 +0200

dsdcc (1.7.7-1) unstable; urgency=medium

  * Reverted Implement DMR negative

 -- Edouard Griffiths, F4EXB <f4exb06@gmail.com>  Tue, 24 Apr 2018 16:15:15 +0200

dsdcc (1.7.6-1) unstable; urgency=medium

  * Upsampling by 2,3,4,5 with mbelib decoding

 -- Edouard Griffiths, F4EXB <f4exb06@gmail.com>  Mon, 23 Apr 2018 16:15:15 +0200

dsdcc (1.7.5-1) unstable; urgency=medium

  * Implemented DMR negative

 -- Edouard Griffiths, F4EXB <f4exb06@gmail.com>  Sat, 31 Mar 2018 16:15:15 +0200

dsdcc (1.7.4-1) unstable; urgency=medium

  * changed optional audio high pass filter cutoff down to 240 Hz @ -3 dB

 -- Edouard Griffiths, F4EXB <f4exb06@gmail.com>  Tue, 02 Jan 2018 18:15:15 +0100

dsdcc (1.7.3-1) unstable; urgency=medium

  * Added optional audio high pass filter when processing with mbelib

 -- Edouard Griffiths, F4EXB <f4exb06@gmail.com>  Tue, 26 Dec 2017 19:15:15 +0100

dsdcc (1.7.2-1) unstable; urgency=medium

  * Activated compiler warnings and made corresponding fixes

 -- Edouard Griffiths, F4EXB <f4exb06@gmail.com>  Thu, 25 May 2017 23:15:15 +0200

dsdcc (1.7.1-1) unstable; urgency=medium

  * Make PLL to track symbol synchronization optional
  * YSF: fixed FICH code

 -- Edouard Griffiths, F4EXB <f4exb06@gmail.com>  Sun, 07 May 2017 11:15:15 +0200

dsdcc (1.7.0-1) unstable; urgency=medium

  * Implemented PLL to track symbol synchronization
  * Code cleanup with cppcheck and Eclipse possibly fixing occasional segfault

 -- Edouard Griffiths, F4EXB <f4exb06@gmail.com>  Sat, 06 May 2017 11:15:15 +0200

dsdcc (1.6.0-1) unstable; urgency=medium

  * Initial release as a Debian package
  * Code refactoring with some changes in interface from 1.5.5
  * Added options to log formatted messages containing the traffic control information
  * Added options to specify own geographical position

 -- Edouard Griffiths, F4EXB <f4exb06@gmail.com>  Sat, 14 Jan 2017 11:15:15 +0100
 

=== debian/control ===
Source: dsdcc
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 12),
Standards-Version: 4.5.0
Homepage: https://github.com/f4exb/dsdcc
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/dsdcc.git
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/dsdcc

Package: dsdcc
Architecture: any
Depends:
 libdsdcc1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Digital Speech Decoder (DSD)
 DSDcc is a digital speech decoder. Supported formats:
 .
  * DMR/MOTOTRBO: ETSI two slot TDMA standard. MOTOTRBO is a popular
    implementation of this standard.
  * D-Star: developed and promoted by Icom for Amateur Radio customers.
  * dPMR: ETSI narrowband FDMA standard. This is somehow similar to NXDN 2400
    Baud rate mode.
  * Yaesu System Fusion (abbreviated YSF): developed and promoted by Yaesu for
    Amateur Radio customers partly inspired by gr-ysf. Voice full rate with
    SerialDV is not supported.
 .
 This package contains dsdccx, the command line interface.

Package: libdsdcc1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Digital Speech Decoder (DSD)
 DSDcc is a digital speech decoder. Supported formats:
 .
  * DMR/MOTOTRBO: ETSI two slot TDMA standard. MOTOTRBO is a popular
    implementation of this standard.
  * D-Star: developed and promoted by Icom for Amateur Radio customers.
  * dPMR: ETSI narrowband FDMA standard. This is somehow similar to NXDN 2400
    Baud rate mode.
  * Yaesu System Fusion (abbreviated YSF): developed and promoted by Yaesu for
    Amateur Radio customers partly inspired by gr-ysf. Voice full rate with
    SerialDV is not supported.
 .
 This package contains the shared library which has been compiled without
 mbelib support.

Package: libdsdcc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libdsdcc1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Digital Speech Decoder (DSD) (headers)
 DSDcc is a digital speech decoder. Supported formats:
 .
  * DMR/MOTOTRBO: ETSI two slot TDMA standard. MOTOTRBO is a popular
    implementation of this standard.
  * D-Star: developed and promoted by Icom for Amateur Radio customers.
  * dPMR: ETSI narrowband FDMA standard. This is somehow similar to NXDN 2400
    Baud rate mode.
  * Yaesu System Fusion (abbreviated YSF): developed and promoted by Yaesu for
    Amateur Radio customers partly inspired by gr-ysf. Voice full rate with
    SerialDV is not supported.
 .
 This package contains the header files.

## dsdcc 1.9.0

=== debian/changelog ===
dsdcc (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0.
  * DH 13.

 -- Christoph Berg <myon@debian.org>  Tue, 19 Jan 2021 20:26:47 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Christoph Berg <myon@debian.org>,
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
 Standards-Version: 4.5.0
 Homepage: https://github.com/f4exb/dsdcc
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/dsdcc.git

## dsdcc 1.9.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 project(dsdcc)
 
 set(MAJOR_VERSION 1)
-set(MINOR_VERSION 8)
-set(PATCH_VERSION 5)
+set(MINOR_VERSION 9)
+set(PATCH_VERSION 0)
 set(PACKAGE libdsdcc)
 set(VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 set(VERSION ${VERSION_STRING})
@@ -75,6 +75,7 @@
     dsd_opts.cpp
     dsd_state.cpp
     dsd_symbol.cpp
+    dsd_sync.cpp
     dstar.cpp
     ysf.cpp
     dpmr.cpp
@@ -106,6 +107,7 @@
     dsd_opts.h
     dsd_state.h
     dsd_symbol.h
+    dsd_sync.h
     dstar.h
     ysf.h
     dpmr.h
@@ -158,6 +160,7 @@
 add_library(dsdcc SHARED
     ${dsdcc_SOURCES}
 )
+set_target_properties(dsdcc PROPERTIES VERSION ${VERSION} SOVERSION ${MAJOR_VERSION})
 
 if (USE_MBELIB AND LIBMBE_FOUND)
     target_link_libraries(dsdcc ${LIBMBE_LIBRARY})
@@ -183,8 +186,6 @@
     dsd_main.cpp
 )
 
-set_target_properties(dsdccx PROPERTIES VERSION ${VERSION} SOVERSION ${MAJOR_VERSION})
-
 target_include_directories(dsdccx PUBLIC
     ${PROJECT_SOURCE_DIR}
     ${CMAKE_CURRENT_BINARY_DIR}
@@ -222,5 +223,5 @@
 if(BUILD_TOOL)
     install(TARGETS dsdccx DESTINATION bin)
 endif(BUILD_TOOL)
-install(TARGETS dsdcc DESTINATION lib${LIB_SUFFIX})
+install(TARGETS dsdcc DESTINATION ${LIB_INSTALL_DIR})
 install(FILES ${dsdcc_HEADERS} DESTINATION include/${PROJECT_NAME})

=== testfec/Makefile ===
#CXXFLAGS=-g
CXXFLAGS=-O3

all: qr golay20 golay23 golay24 hamming7 hamming12 hamming15 hamming16 viterbi viterbi35 crc pn

crc: crc.o nxdncrc.o crc.cpp
	g++ -o crc crc.o nxdncrc.o crc.cpp

pn: pn.o pn.cpp
	g++ -o pn pn.o pn.cpp

viterbi: viterbi.o descramble.o viterbi.cpp
	g++ -o viterbi viterbi.o descramble.o viterbi.cpp

viterbi35: viterbi3.o viterbi5.o viterbi.o descramble.o viterbi35.cpp
	g++ -o viterbi35 viterbi3.o viterbi5.o viterbi.o descramble.o viterbi35.cpp

hamming7: fec.o hamming7.cpp
	g++ -o hamming7 fec.o hamming7.cpp

hamming12: fec.o hamming12.cpp
	g++ -o hamming12 fec.o hamming12.cpp

hamming15: fec.o hamming15.cpp
	g++ -o hamming15 fec.o hamming15.cpp

hamming16: fec.o hamming16.cpp
	g++ -o hamming16 fec.o hamming16.cpp

golay20: fec.o golay20.cpp
	g++ -o golay20 fec.o golay20.cpp

golay23: fec.o golay23.cpp
	g++ -o golay23 fec.o golay23.cpp

golay24: fec.o golay24.cpp
	g++ -o golay24 fec.o golay24.cpp

qr: fec.o qr.cpp
	g++ -o qr fec.o qr.cpp

fec.o: ../fec.h ../fec.cpp
	g++ $(CXXLFAGS) -c -o fec.o -I.. ../fec.cpp

crc.o: ../crc.h ../crc.cpp
	g++ $(CXXFLAGS) -c -o crc.o -I.. ../crc.cpp

nxdncrc.o: ../nxdncrc.h ../nxdncrc.cpp
	g++ $(CXXFLAGS) -c -o nxdncrc.o -I.. ../nxdncrc.cpp

pn.o: ../pn.h ../pn.cpp
	g++ $(CXXFLAGS) -c -o pn.o -I.. ../pn.cpp

viterbi.o: ../viterbi.h ../viterbi.cpp
	g++ $(CXXFLAGS) -c -o viterbi.o -I.. ../viterbi.cpp

viterbi3.o: ../viterbi3.h ../viterbi3.cpp
	g++ $(CXXFLAGS) -c -o viterbi3.o -I.. ../viterbi3.cpp

viterbi5.o: ../viterbi5.h ../viterbi5.cpp
	g++ $(CXXFLAGS) -c -o viterbi5.o -I.. ../viterbi5.cpp

descramble.o: ../descramble.h ../descramble.cpp
	g++ $(CXXFLAGS) -c -o descramble.o -I.. ../descramble.cpp

clean:
	rm -f *.o qr golay20 golay23 golay24 hamming7 hamming12 hamming15 hamming16 viterbi viterbi35 crc

=== debian/changelog ===
dsdcc (1.9.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062388

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 02:28:08 +0000

dsdcc (1.9.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

  [ Christoph Berg ]
  * Update github watchfile.

 -- Christoph Berg <myon@debian.org>  Sat, 05 Nov 2022 16:49:36 +0100

dsdcc (1.9.3-1) unstable; urgency=medium

  * New upstream version 1.9.3.

 -- Christoph Berg <myon@debian.org>  Sat, 24 Apr 2021 23:15:48 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  cmake,
  debhelper-compat (= 13),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/f4exb/dsdcc
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/dsdcc.git
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/dsdcc
@@ -15,7 +15,7 @@
 Package: dsdcc
 Architecture: any
 Depends:
- libdsdcc1 (= ${binary:Version}),
+ libdsdcc1t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Digital Speech Decoder (DSD)
@@ -32,7 +32,10 @@
  .
  This package contains dsdccx, the command line interface.
 
-Package: libdsdcc1
+Package: libdsdcc1t64
+Provides: ${t64:Provides}
+Replaces: libdsdcc1
+Breaks: libdsdcc1 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -59,7 +62,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libdsdcc1 (= ${binary:Version}),
+ libdsdcc1t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Digital Speech Decoder (DSD) (headers)

=== debian/watch ===
version=4
https://github.com/f4exb/dsdcc/tags .*/v(.*).tar.gz

## dsdcc 1.9.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0)
+cmake_minimum_required(VERSION 3.5)
 
 project(dsdcc)
 
@@ -54,13 +54,12 @@
     set(CMAKE_BUILD_TYPE "Release")
 endif()
 
-find_package(LibMbe)
+if (USE_MBELIB)
+    find_package(LibMbe REQUIRED)
+    add_definitions(-DDSD_USE_MBELIB)
+endif()
+
 find_package(SerialDV)
-
-if (USE_MBELIB AND LIBMBE_FOUND)
-    add_definitions(-DDSD_USE_MBELIB)
-endif()
-
 if (LIBSERIALDV_FOUND)
     add_definitions(-DDSD_USE_SERIALDV)
 endif()
@@ -133,7 +132,7 @@
     export.h
 )
 
-if (USE_MBELIB AND LIBMBE_FOUND)
+if (USE_MBELIB)
     set(dsdcc_HEADERS
         ${dsdcc_HEADERS}
         dsd_mbelib.h
@@ -145,7 +144,7 @@
     ${CMAKE_CURRENT_BINARY_DIR}
 )
 
-if (USE_MBELIB AND LIBMBE_FOUND)
+if (USE_MBELIB)
     include_directories(
         ${LIBMBE_INCLUDE_DIR}
     )
@@ -162,7 +161,7 @@
 )
 set_target_properties(dsdcc PROPERTIES VERSION ${VERSION} SOVERSION ${MAJOR_VERSION})
 
-if (USE_MBELIB AND LIBMBE_FOUND)
+if (USE_MBELIB)
     target_link_libraries(dsdcc ${LIBMBE_LIBRARY})
 endif()

=== mbelib/CMakeLists.txt ===
project(mbelib)

set(mbelib_SOURCES
    ${LIBMBELIBSRC}/ambe3600x2400.c
    ${LIBMBELIBSRC}/ambe3600x2450.c
    ${LIBMBELIBSRC}/ecc.c
    ${LIBMBELIBSRC}/imbe7100x4400.c
    ${LIBMBELIBSRC}/imbe7200x4400.c
    ${LIBMBELIBSRC}/mbelib.c
)

set(mbelib_HEADERS
    ${LIBMBELIBSRC}/ambe3600x2400_const.h
    ${LIBMBELIBSRC}/ambe3600x2450_const.h
    ${LIBMBELIBSRC}/ecc_const.h
    ${LIBMBELIBSRC}/imbe7200x4400_const.h
    ${LIBMBELIBSRC}/mbelib.h
    ${LIBMBELIBSRC}/mbelib_const.h
)

include_directories(
    .
    ${CMAKE_CURRENT_BINARY_DIR}
    ${LIBMBELIBSRC}
)

add_definitions(-DQT_SHARED)

add_library(mbelib SHARED
    ${mbelib_SOURCES}
)

target_link_libraries(mbelib
)

install(TARGETS mbelib DESTINATION lib)

=== serialdv/CMakeLists.txt ===
project(serialdv)

set(serialdv_SOURCES
    ${LIBSERIALDVSRC}/dvcontroller.cpp  
    ${LIBSERIALDVSRC}/serialdatacontroller.cpp  
)

set(serialdv_HEADERS
    ${LIBSERIALDVSRC}/dvcontroller.h    
    ${LIBSERIALDVSRC}/serialdatacontroller.h    
)

include_directories(
    .
    ${CMAKE_CURRENT_BINARY_DIR}
    ${LIBSERIALDVSRC}
)

add_definitions(-DQT_SHARED)

add_library(serialdv SHARED
    ${serialdv_SOURCES}
)

target_link_libraries(serialdv
    ${LIBUSB_LIBRARIES}
)

install(TARGETS serialdv DESTINATION lib)

=== testfec/Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 	g++ -o hamming16 fec.o hamming16.cpp
 
 golay20: fec.o golay20.cpp
-	g++ -o golay20 fec.o golay20.cpp
+	g++ $(CXXLFAGS) -o golay20 fec.o golay20.cpp
 
 golay23: fec.o golay23.cpp
 	g++ -o golay23 fec.o golay23.cpp
@@ -65,4 +65,3 @@
 
 clean:
 	rm -f *.o qr golay20 golay23 golay24 hamming7 hamming12 hamming15 hamming16 viterbi viterbi35 crc
-

=== debian/changelog ===
dsdcc (1.9.6-1) unstable; urgency=medium

  * New upstream version 1.9.6.
  * Works with cmake 4. (Closes: #1112857)

 -- Christoph Berg <myon@debian.org>  Wed, 15 Oct 2025 13:19:58 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
-Build-Depends: dpkg-dev (>= 1.22.5),
+Build-Depends:
  cmake,
  debhelper-compat (= 13),
 Standards-Version: 4.6.0

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

#override_dh_auto_configure:
#	dh_auto_configure -- -DBUILD_TYPE=DEBIAN
